import type { FoundationElement } from '@ni/fast-foundation';
/**
 * A page object for the elements that use the error pattern mixin.
 */
export declare class SeverityPatternPageObject {
    private readonly element;
    constructor(element: FoundationElement);
    getDisplayedSeverityText(): string;
    getSeverityTextTitle(): string;
    dispatchEventToSeverityText(event: MouseEvent): void;
    clickSeverityText(): void;
    private getSeverityTextElement;
}
